# SourcePath: vim/20130331dev
Summary: Vi IMproved - enhanced vi editor
Name: sony-target-dev-vim
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-vim
Version: 7.3.762
Release: 11000002
#Source: ftp://ftp.vim.org/pub/vim/unix/
URL: http://www.vim.org
Source: vim-7.3.tar.bz2
Patch0: vim-7.3.001-762.patch
Patch1: vim-7.3-cross.patch
Patch2: vim-7.1-test3.patch
License: vim License
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
%define _defaultdocdir  %{sony_target_dir}%{sony_target_dev_doc_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-ncurses


%description
Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.

# vim

%package -n %{pkgname}
Summary: Hard Hat Linux Base System Password/Group Files
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Vim is an almost compatible version of the UNIX editor Vi.  Many new features
 have been added: multi level undo, syntax highlighting, command line history,
 on-line help, filename completion, block operations, etc.

%prep
%setup -n vim73
%patch0 -p0
%patch1 -p1
#%patch2 -p1

%build
%sony_target_dev_setup
cd src
%target_acplatvars
autoconf
# Oops, can't use target_configure, no objdir.
# FIXME.
%define _objdir .
ln -s . objdir
export cross_compiling=yes
export vim_cv_tty_group=world
export vim_cv_tty_mode=0622
export vim_cv_memmove_handles_overlap=yes
./configure \
	--target=%{sony_target_config}\
	--host=%{sony_target_config} \
	--build=%{sony_host_config} \
	--prefix=%{sony_target_dev_prefix} \
	--exec-prefix=%{sony_target_rel_exec_prefix} \
	--bindir=%{sony_target_dev_bin_dir} \
	--sbindir=%{sony_target_dev_sbin_dir} \
	--sysconfdir=%{sony_target_dev_sysconf_dir} \
	--datadir=%{sony_target_dev_data_dir} \
	--includedir=%{sony_target_dev_include_dir} \
	--libdir=%{sony_target_dev_lib_dir} \
	--libexecdir=%{sony_target_dev_libexec_dir} \
	--localstatedir=%{sony_target_dev_localstate_dir} \
	--sharedstatedir=%{sony_target_dev_sharedstate_dir} \
	--mandir=%{sony_target_dev_man_dir} \
	--infodir=%{sony_target_dev_info_dir} \
	--without-x --enable-gui=no \
	--enable-langmap --enable-multibyte --enable-gpm --enable-cscope --disable-acl \
	.| tee build.log
make  CROSS=%{sony_target_toolprefix}  CC="%{sony_target_toolprefix}gcc %{sony_target_machine_option} -DHAVE_TGETENT" | tee -a build.log


%install
%sony_target_dev_setup
cd src
rm -rf %{buildroot}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}

%sony_target_dev_makeinstall \
	BINDIR=%{sony_target_dev_bin_dir} \
	DATADIR=%{sony_target_dev_data_dir} \
	MANDIR=%{sony_target_dev_man_dir} \
	| tee -a build.log
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/{etags.1,ex.1,rview.1,rvim.1,view.1}
gzip -v9 %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man*/*
ln -s vim.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/ex.1.gz
ln -s vim.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/rview.1.gz
ln -s vim.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/rvim.1.gz
ln -s vim.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/view.1.gz
ln -s ctags.1.gz %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/man1/etags.1.gz
cd ..
#cp debian/copyright LICENSE

# export HHL_TOOL_PREFIX=%{sony_target_toolprefix}

cd %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
ln -s vim vi
cd

#cd
#mkdir -p %{buildroot}%{sony_target_dir}/root
#touch .viminfo

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}

# Remove uninstalled symbolic link
# (Really unnecesary ?? )
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/vimdiff

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root)
#%{sony_target_dir}%{sony_target_dev_bin_dir}/ctags
#%{sony_target_dir}%{sony_target_dev_bin_dir}/etags
%{sony_target_dir}%{sony_target_dev_bin_dir}/ex
%{sony_target_dir}%{sony_target_dev_bin_dir}/rview
%{sony_target_dir}%{sony_target_dev_bin_dir}/rvim
%{sony_target_dir}%{sony_target_dev_bin_dir}/view
%{sony_target_dir}%{sony_target_dev_bin_dir}/vim
%{sony_target_dir}%{sony_target_dev_bin_dir}/vi
%{sony_target_dir}%{sony_target_dev_bin_dir}/vimtutor
%{sony_target_dir}%{sony_target_dev_bin_dir}/xxd
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/vim/vim73/*


%changelog
* Mon Aug 12 2013 Sony Corporation
- Changed License information.

* Sun Mar 31 2013 Sony Corporation
- Version update to 7.6.762

* Tue Jul 09 2009 Sony Corporation
- Delete symbolic link to /bin/vim

* Fri Dec 12 2008 Sony Corporation
- Added --disable-acl to disable libacl.so & libattr.so dependency

* Thu Oct 04 2007 Sony Corporation
- version-up 7.0.164 -> 7.1.116

* Thu Sep 14 2007 Sony Corporation
- Remove uninstalled symbolic link

* Mon Mar 12 2007 Sony Corporation
- Change Version no ( 7.0.163 -> 7.0.164)

* Fri Mar 02 2007 Sony Corporation
- Version update to 7.0.163

* Fri Nov 19 2004 Sony Corporation
- add symbolic link from  ../../devel/usr/bin/vim to /usr/bin/vim

* Fri Nov 19 2004 Sony Corporation
- delete online manual

* Mon Nov 15 2004 Sony Corporation
- change SourcePath:              -> vim/20041028dev
- remove unnecessary source (.tmpl files)

* Tue Nov 8 2004 Sony Corporation
- del %define sony_config_dir & eval
- add %target_acplatvars

* Tue Nov 4 2004 Sony Corporation
- add %define sony_config_dir

* Tue Oct 28 2004 Sony Corporation
- MVL31=>sony version
